# Class DisplayUISynchronize

java.lang.Object
org.eclipse.e4.ui.di.UISynchronize
org.eclipse.e4.ui.workbench.swt.DisplayUISynchronize

public final class DisplayUISynchronize extends UISynchronize

Since:
  0.16

## Constructor Summary

Constructors
Constructor
Description
`DisplayUISynchronize(Display display)`

## Method Summary

Modifier and Type
Method
Description
`void`
`asyncExec(Runnable runnable)`
Schedules the runnable on the UI-Thread for execution and returns immediately
`protected boolean`
`dispatchEvents()`
Request to perform an event dispatch cycle.
`boolean`
`isUIThread(Thread thread)`
Checks if the given thread is the UI-Thread.
`protected void`
`showBusyWhile(Runnable runnable)`
Shows a busy-indicator to the user while this runnable is executed, long running operations in the UI thread may freeze the UI.
`void`
`syncExec(Runnable runnable)`
Executes the runnable on the UI-Thread and blocks until the runnable is finished

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DisplayUISynchronize

public DisplayUISynchronize(Display display)

## Method Details

### syncExec

public void syncExec(Runnable runnable)
Description copied from class: `UISynchronize`
Executes the runnable on the UI-Thread and blocks until the runnable is finished

Specified by:
  `syncExec` in class `UISynchronize`
Parameters:
  `runnable` - the runnable to execute

### asyncExec

public void asyncExec(Runnable runnable)
Description copied from class: `UISynchronize`
Schedules the runnable on the UI-Thread for execution and returns immediately

Specified by:
  `asyncExec` in class `UISynchronize`
Parameters:
  `runnable` - the runnable to execute

### isUIThread

public boolean isUIThread(Thread thread)
Description copied from class: `UISynchronize`
Checks if the given thread is the UI-Thread.

Specified by:
  `isUIThread` in class `UISynchronize`
Parameters:
  `thread` - to check
Returns:
  `true` if the thread is the UI-Thread `false` otherwise

### showBusyWhile

protected void showBusyWhile(Runnable runnable)
Description copied from class: `UISynchronize`
Shows a busy-indicator to the user while this runnable is executed, long running operations in the UI thread may freeze the UI.

Specified by:
  `showBusyWhile` in class `UISynchronize`
Parameters:
  `runnable` - the runnable to execute

### dispatchEvents

protected boolean dispatchEvents()
Description copied from class: `UISynchronize`
Request to perform an event dispatch cycle.

Specified by:
  `dispatchEvents` in class `UISynchronize`
Returns:
  `true` if there might be more work to perform `false` otherwise